Daemon Power

The NetBSD Packages Collection: meta-pkgs/modular-xorg-drivers

Brief description of the package:
Modular Xorg driver meta-package

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://xorg.freedesktop.org/.

Please note that this package has a 2-clause-bsd license.

The package is located in the "meta-pkgs/modular-xorg-drivers" directory. The current source version of the package is "modular-xorg-drivers-1.19.0nb4". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for meta-pkgs/modular-xorg-drivers :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: xf86-input-acecad-[0-9]* modular-xorg-server>=1.18 xkbcomp-[0-9]* x11-links>=1.06 osabi-NetBSD-7.0.1 cwrappers>=20150314 xproto>=7.0.17 xproto>=7.0.9 xkeyboard-config-[0-9]* xproto>=7.0.20 libfontenc>=0.99 libXau>=1.0 Xfixes>=2.0.0 fixesproto>=3.0.0<5 xextproto>=7.0 inputproto>=1.4 libXfont2>=2.0 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 fontcacheproto>=0.1 fontsproto>=2.1.3 fontsproto>=2.0 xtrans>=1.0.3 pixman>=0.21.8 pixman>=0.25.2 xcb-util-keysyms>=0.3.9 libxcb>=1.6 libXdmcp>=0.99 xcb-proto>=1.12 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 Xfixes>=2.0.1nb2 tradcpp-[0-9]* bigreqsproto>=1.1.0 bigreqsproto>=1.0 compositeproto>=0.4 compositeproto>=0.3.1 fixesproto>=5.0 xextproto>=7.1.99 inputproto>=2.1.99.6 xproto>=7.0.31 damageproto>=1.1 damageproto>=1.1.0 evieext>=1.0.2 randrproto>=1.5.0 randrproto>=1.2.0 randrproto>=1.0 recordproto>=1.13.99.1 recordproto>=1.13.1 renderproto>=0.11 renderproto>=0.9.3nb1 renderproto>=0.9 resourceproto>=1.2.0 resourceproto>=1.0.1 scrnsaverproto>=1.1 scrnsaverproto>=1.1.0 trapproto>=3.4.3 videoproto>=2.2.1 xcmiscproto>=1.2.0 xcmiscproto>=1.1 kbproto>=1.0.3 kbproto>=1.0.2 xf86bigfontproto>=1.1 xf86dgaproto>=2.0.3 xf86dgaproto>=2.1 xf86miscproto>=0.9.2 xf86vidmodeproto>=2.3 xineramaproto>=1.1.1 xtrans>=1.2.2 xorg-util-macros>=1.17 dri2proto>=2.0 dri2proto>=2.1 dri3proto>=1.0 glproto>=1.4.11 glproto>=1.4.6 xf86driproto>=2.0.3 presentproto>=1.0 xf86-input-keyboard-[0-9]* xf86-input-mouse-[0-9]* xf86-input-penmount-[0-9]* xf86-input-vmmouse-[0-9]* xf86-input-ws-[0-9]* xf86-input-void-[0-9]* xf86-video-amdgpu-[0-9]* libdrm>=2.4.15 libdrm>=2.4.60 xf86-video-apm-[0-9]* xf86-video-ark-[0-9]* xf86-video-ast-[0-9]* xf86-video-ati-[0-9]* modular-xorg-server>=1.18.1 libdrm>=2.4.58 xf86-video-chips-[0-9]* xf86-video-cirrus-[0-9]* xf86-video-dummy-[0-9]* xf86-input-elographics-[0-9]* xf86-video-fbdev-[0-9]* xf86-input-fpit-[0-9]* xf86-video-glint-[0-9]* xf86-input-hyperpen-[0-9]* xf86-video-i128-[0-9]* xf86-video-i740-[0-9]* xf86-video-intel-[0-9]* libdrm>=2.4.7 libXvMC>=1.0.2 libXv>=1.0.1 xf86-input-joystick-[0-9]* xf86-video-mach64-[0-9]* xf86-video-mga-[0-9]* xf86-input-mutouch-[0-9]* xf86-video-neomagic-[0-9]* xf86-video-nouveau-[0-9]* xf86-video-nv-[0-9]* xf86-video-openchrome-[0-9]* xf86-video-qxl-[0-9]* libdrm>=2.4.46 spice-protocol>=0.12.5 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 xf86-video-r128-[0-9]* xf86-video-rendition-[0-9]* xf86-video-s3-[0-9]* xf86-video-s3virge-[0-9]* xf86-video-savage-[0-9]* xf86-video-siliconmotion-[0-9]* xf86-video-sis-[0-9]* xf86-video-suncg14-[0-9]* xf86-video-suncg3-[0-9]* xf86-video-suncg6-[0-9]* xf86-video-sunffb-[0-9]* xextproto>=7.0.99.1 xf86-video-sunleo-[0-9]* xf86-video-suntcx-[0-9]* xf86-video-tdfx-[0-9]* xf86-video-tga-[0-9]* xf86-video-trident-[0-9]* xf86-video-tseng-[0-9]* xf86-video-vesa-[0-9]* xf86-video-vboxvideo-[0-9]* xf86-video-vmware-[0-9]* xf86-video-voodoo-[0-9]* xf86-video-wsfb-[0-9]* xf86-video-xgi-[0-9]* .

This package requires the following package(s) to run: xf86-input-acecad-[0-9]* modular-xorg-server>=1.18 xkbcomp-[0-9]* xkeyboard-config-[0-9]* libfontenc>=0.99 libXau>=1.0 Xfixes>=2.0.0 libXfont2>=2.0 freetype2>=2.4.5 freetype2>=2.1.3 freetype2>=2.4.11 pixman>=0.21.8 pixman>=0.25.2 xcb-util-keysyms>=0.3.9 libxcb>=1.6 libXdmcp>=0.99 Xfixes>=2.0.1nb2 xf86-input-keyboard-[0-9]* xf86-input-mouse-[0-9]* xf86-input-penmount-[0-9]* xf86-input-vmmouse-[0-9]* xf86-input-ws-[0-9]* xf86-input-void-[0-9]* xf86-video-amdgpu-[0-9]* libdrm>=2.4.15 libdrm>=2.4.60 xf86-video-apm-[0-9]* xf86-video-ark-[0-9]* xf86-video-ast-[0-9]* xf86-video-ati-[0-9]* modular-xorg-server>=1.18.1 libdrm>=2.4.58 xf86-video-chips-[0-9]* xf86-video-cirrus-[0-9]* xf86-video-dummy-[0-9]* xf86-input-elographics-[0-9]* xf86-video-fbdev-[0-9]* xf86-input-fpit-[0-9]* xf86-video-glint-[0-9]* xf86-input-hyperpen-[0-9]* xf86-video-i128-[0-9]* xf86-video-i740-[0-9]* xf86-video-intel-[0-9]* libdrm>=2.4.7 libXvMC>=1.0.2 libXv>=1.0.1 xf86-input-joystick-[0-9]* xf86-video-mach64-[0-9]* xf86-video-mga-[0-9]* xf86-input-mutouch-[0-9]* xf86-video-neomagic-[0-9]* xf86-video-nouveau-[0-9]* xf86-video-nv-[0-9]* xf86-video-openchrome-[0-9]* xf86-video-qxl-[0-9]* libdrm>=2.4.46 xf86-video-r128-[0-9]* xf86-video-rendition-[0-9]* xf86-video-s3-[0-9]* xf86-video-s3virge-[0-9]* xf86-video-savage-[0-9]* xf86-video-siliconmotion-[0-9]* xf86-video-sis-[0-9]* xf86-video-suncg14-[0-9]* xf86-video-suncg3-[0-9]* xf86-video-suncg6-[0-9]* xf86-video-sunffb-[0-9]* xf86-video-sunleo-[0-9]* xf86-video-suntcx-[0-9]* xf86-video-tdfx-[0-9]* xf86-video-tga-[0-9]* xf86-video-trident-[0-9]* xf86-video-tseng-[0-9]* xf86-video-vesa-[0-9]* xf86-video-vboxvideo-[0-9]* xf86-video-vmware-[0-9]* xf86-video-voodoo-[0-9]* xf86-video-wsfb-[0-9]* xf86-video-xgi-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
i386:modular-xorg-drivers-1.4.tgz(QNX 6.5.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]